# $Revision: 1.11 $, $Date: 2012/03/11 09:12:44 $
Summary:	An open-source JPEG 2000 codec
Summary(pl.UTF-8):	Biblioteka kodująca i dekodująca format JPEG 2000
Name:		openjpeg
Version:	1.5.0
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: http://code.google.com/p/openjpeg/downloads/list
Source0:	http://openjpeg.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	e5d66193ddfa59a87da1eb08ea86293b
Patch0:		%{name}-opt.patch
URL:		http://www.openjpeg.org/
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	lcms2-devel >= 2
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The OpenJPEG library is an open-source JPEG 2000 codec written in C
language. It has been developed in order to promote the use of JPEG
2000, the new still-image compression standard from the Joint
Photographic Experts Group (JPEG).

%description -l pl.UTF-8
OpenJPEG to mająca otwarte źródła biblioteka kodująca i dekodująca
format JPEG 2000, napisana w języku C. Powstała w celu promowania
użycia formatu JPEG 2000 - nowego standardu obrazów nieruchomych
stworzonego przez grupę JPEG (Joint Photographic Experts Group).

%package devel
Summary:	Header file for OpenJPEG library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki OpenJPEG
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header file needed for developing programs
using the OpenJPEG library.

%description devel -l pl.UTF-8
Ten pakiet zawiera plik nagłówkowy potrzebny do tworzenia programów
wykorzystujących bibliotekę OpenJPEG.

%package static
Summary:	Static OpenJPEG library
Summary(pl.UTF-8):	Statyczna biblioteka OpenJPEG
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OpenJPEG library.

%description static -l pl.UTF-8
Statyczna biblioteka OpenJPEG.

%package progs
Summary:	OpenJPEG codec programs
Summary(pl.UTF-8):	Programy kodujące/dekodujące format OpenJPEG
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
OpenJPEG codec programs.

%description progs -l pl.UTF-8
Programy kodujące/dekodujące format OpenJPEG.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-jpwl \
	--enable-mj2
# no --enable-jpip here (see openjpip.spec for it)

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libopenjpeg*.la
# packaged as doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/openjpeg-1.5

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE
%attr(755,root,root) %{_libdir}/libopenjpeg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenjpeg.so.1
%attr(755,root,root) %{_libdir}/libopenjpeg_JPWL.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenjpeg_JPWL.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenjpeg.so
%attr(755,root,root) %{_libdir}/libopenjpeg_JPWL.so
%{_includedir}/openjpeg-1.5
%{_includedir}/openjpeg.h
%{_pkgconfigdir}/libopenjpeg1.pc
%{_pkgconfigdir}/libopenjpeg.pc
%{_pkgconfigdir}/libopenjpeg-jpwl.pc
%{_mandir}/man3/jpwl_libopenjpeg.3*
%{_mandir}/man3/libopenjpeg.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libopenjpeg.a
%{_libdir}/libopenjpeg_JPWL.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/JPWL_image_to_j2k
%attr(755,root,root) %{_bindir}/JPWL_j2k_to_image
%attr(755,root,root) %{_bindir}/extract_j2k_from_mj2
%attr(755,root,root) %{_bindir}/frames_to_mj2
%attr(755,root,root) %{_bindir}/image_to_j2k
%attr(755,root,root) %{_bindir}/j2k_dump
%attr(755,root,root) %{_bindir}/j2k_to_image
%attr(755,root,root) %{_bindir}/mj2_to_frames
%attr(755,root,root) %{_bindir}/wrap_j2k_in_mj2
%{_mandir}/man1/jpwl_image_to_j2k.1*
%{_mandir}/man1/jpwl_j2k_to_image.1*
%{_mandir}/man1/image_to_j2k.1*
%{_mandir}/man1/j2k_dump.1*
%{_mandir}/man1/j2k_to_image.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openjpeg.spec,v $
Revision 1.11  2012/03/11 09:12:44  qboosh
- updated to 1.5.0
- updated opt patch
- removed obsolete libpng,destdir,link patches

Revision 1.10  2012/01/21 11:46:28  qboosh
- g++ nor sed 4 not needed
- completed previous changelog entry (soname changes, openjpeg_JPWL)

Revision 1.9  2012/01/21 11:36:30  qboosh
- updated to 1.4 [note: soname changed]
- package openjpeg_JPWL library too
- removed outdated install patch (autotools and cmake support introduced upstream, both messy)
- added libpng patch to fix build with libpng 1.5.x
- added destdir,opt,link patch to partially fix ac/am usage ugliness

Revision 1.8  2010/10/23 14:07:13  qboosh
- pl
- separated -static

Revision 1.7  2010/08/24 20:28:59  glen
- release 3

Revision 1.6  2010/03/04 17:12:57  pluto
- typo.

Revision 1.5  2010/03/04 12:21:24  arekm
- rel 2; link with math lib

Revision 1.4  2010/02/05 08:27:06  duddits
- rel. 1

Revision 1.3  2009/11/30 02:16:56  sparky
- pass %{__cc}
- don't link with -lstdc++, not needed

Revision 1.2  2009/10/12 21:09:14  sparky
- use rpmcflags and rpmldflags when linking
- fixed install

Revision 1.1  2009/10/12 20:11:47  evil
- initial release
